Skip to main content
GET
/
api
/
v1
/
candles
Historical candles for a pool
curl --request GET \
  --url https://api.dexploit.dev/api/v1/candles \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "pair_address": "<string>",
      "token_address": "<string>",
      "base_mint": "So11111111111111111111111111111111111111112",
      "timeframe": "1s",
      "open": 123,
      "high": 123,
      "low": 123,
      "close": 123,
      "volume_sol": 123,
      "volume_token": 123,
      "trade_count": 123,
      "buy_count": 123,
      "sell_count": 123,
      "unique_traders": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dexploit.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

pair_address
string
required
timeframe
enum<string>
required
Available options:
1s,
30s,
1m,
5m,
15m,
1h,
4h,
1d
start
string<date-time>
end
string<date-time>

Defaults to a 30s-aligned 'now'.

limit
integer
default:1000
Required range: 1 <= x <= 10000

Response

Array of candles

success
enum<boolean>
Available options:
true
data
object[]